RLETOPAINT(1)

NAME
rletopaint - convert an RLE file to MacPaint format using dithering

SYNOPSIS
rletopaint [ -l ] [ -r ] [ -g [ gamma ] ] [ -o outfile.paint ] [ infile ]

DESCRIPTION
Rletopaint converts a file from RLE(5) format to MacPaint format. The program uses dithering to convert from a full 24 bit color image to a bitmapped image. If the RLE file is larger than a MacPaint image (576×720) it is cropped to fit. Because MacPaint files have their coordinate origin in the upper left instead of the lower left, the RLE file should be piped through rleflip(1) -v before rletopaint. The resulting file can be downloaded to a Macintosh in binary mode, and should be given a type of PNTG and a creator of MPNT, so it will be recognized as a MacPaint file.

OPTIONS

-l  Use a linear map in the conversion from 24 bits to bitmapped output.

-g [ gamma ]
    Use a gamma map of gamma (gamma is 2.0 if not specified).

-r  Invert the sense of the output pixels (white on black instead of black on white). For normal images, you probably want this flag.

SEE ALSO
painttorle(1), urt(1), RLE(5).

AUTHOR
John W. Peterson. Byte compression routine by Jim Schimpf.

BUGS
Should use a color map in the file, if present.